Bug 1264559 - Tomcat Issue #53001 exists within Red Hat version
Tomcat Issue #53001 exists within Red Hat version
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tomcat6 (Show other bugs)
6.7
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: Coty Sutherland
Bogdan Sikora
:
Depends On:
Blocks: 1275725
  Show dependency treegraph
 
Reported: 2015-09-18 15:41 EDT by Paul McLellan
Modified: 2017-09-14 07:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 53001 None None None Never

  None (edit)
Description Paul McLellan 2015-09-18 15:41:13 EDT
Description of problem:
Tomcat issue #53001 (https://bz.apache.org/bugzilla/show_bug.cgi?id=53001) related to resolution of resources referenced by EL expressions exists within current Red Hat version. This bug was resolved in Tomcat 6.0.36. Is it possible to have this fix backported to the Red Hat version?

Version-Release number of selected component (if applicable):
tomcat6-6.0.24-90.el6.x86_64

How reproducible:
Always

Actual results:
JspPropertyNotFoundException is thrown by the application and the affected webpage fails to render

Expected results:
Webpage is successfully rendered and missing resource is displayed in the form - '???<resource-key>???'
Comment 3 Coty Sutherland 2015-11-11 13:41:27 EST
The fix that is required is http://svn.apache.org/r1343356. The class (ResourceBundleELResolver) is pretty different between the RHEL version (6.0.24) and 6.0.36, but I think that the change is small enough that it won't affect much other than fix the bug. I'd have to look into it further to verify that it won't break anything though.
Comment 4 Michal Karm Babacek 2015-12-15 14:58:13 EST
 >  I'd have to look into it further to verify that it won't break anything though.

Dear Coty, any additional news here? Should I be worried about loads of regressions? If you didn't dig deeper, ping me and I will. THX
Comment 5 Coty Sutherland 2015-12-15 15:14:51 EST
> Dear Coty, any additional news here? Should I be worried about loads of
> regressions? If you didn't dig deeper, ping me and I will. THX

I already incorporated the change (it's only about -4/+4 lines) and did some basic testing with it. I also looked back at the attached asf bz (53001) as well as the bz that introduced the behavior (asf bz 46915). As it turns out, the behavior that was added is not spec compliant, so adding it back is enforcing the spec.

I can't see how this could break anything else. Please take a quick look to see if you have any other concerns and let me know.
Comment 6 Michal Karm Babacek 2015-12-21 08:23:48 EST
THX for an additional intel Coty. Acking.
Comment 10 Bogdan Sikora 2016-05-03 09:28:42 EDT
Output is not '???<resource-key>???', it is ""
Comment 12 fgoldefu 2016-05-04 11:05:35 EDT
The response did not follow pattern:
'???<resource-key>???'
when resource key is missing.

Note You need to log in before you can comment on or make changes to this bug.